Bug 1562982 - [abrt] __jbd2_journal_refile_buffer: WARNING: CPU: 2 PID: 503 at fs/buffer.c:1108 mark_buffer_dirty+0xd4/0xe0 [NEEDINFO]
Summary: [abrt] __jbd2_journal_refile_buffer: WARNING: CPU: 2 PID: 503 at fs/buffer.c:...
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 27
Hardware: x86_64 Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:38461fc73e1f121559b2bab459e...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-02 20:16 UTC by kluksa
Modified: 2018-08-29 17:45 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-08-29 15:06:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (111.30 KB, text/plain)
2018-04-02 20:16 UTC, kluksa
no flags Details

Description kluksa 2018-04-02 20:16:03 UTC
Additional info:
reporter:       libreport-2.9.3
WARNING: CPU: 2 PID: 503 at fs/buffer.c:1108 mark_buffer_dirty+0xd4/0xe0
Modules linked in: fuse nf_nat_ftp nf_conntrack_ftp nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ccm ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables vfat fat uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core videodev media snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm ppdev snd_hda_intel iTCO_wdt iTCO_vendor_support irqbypass
 snd_hda_codec snd_hda_core crct10dif_pclmul crc32_pclmul snd_hwdep ghash_clmulni_intel snd_seq snd_seq_device snd_pcm arc4 iwldvm joydev mac80211 parport_pc intel_cstate snd_timer iwlwifi snd intel_uncore cfg80211 intel_rapl_perf soundcore rfkill parport tpm_infineon rtsx_pci_ms memstick shpchp mei_me mei lpc_ich tpm_tis tpm_tis_core tpm fujitsu_laptop sparse_keymap i2c_i801 binfmt_misc i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper crc32c_intel drm rtsx_pci serio_raw e1000e ptp pps_core video
CPU: 2 PID: 503 Comm: jbd2/dm-1-8 Not tainted 4.15.9-300.fc27.x86_64 #1
Hardware name: FUJITSU LIFEBOOK E752/FJNB252, BIOS Version 2.04 10/16/2012
RIP: 0010:mark_buffer_dirty+0xd4/0xe0
RSP: 0000:ffffa400c0b87cc8 EFLAGS: 00010246
RAX: 0000000000a20828 RBX: ffff969cd4a9f208 RCX: ffff969c71361d98
RDX: ffff969cd4a9f208 RSI: ffff969c182bf2d0 RDI: ffff969cd4a9f208
RBP: ffff969cd4a9f208 R08: 0000000000000000 R09: ffff969cd935b458
R10: 0000000000000000 R11: 0000000000000228 R12: ffff969cd4a9f208
R13: ffff969c71361870 R14: ffff969cd90bf000 R15: ffff969cd3e66000
FS:  0000000000000000(0000) GS:ffff969cdf280000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f17bfb5eed8 CR3: 000000006f20a003 CR4: 00000000001606e0
Call Trace:
 __jbd2_journal_refile_buffer+0xa3/0xc0
 jbd2_journal_commit_transaction+0x1169/0x1820
 ? sched_clock+0x5/0x10
 ? kjournald2+0xbd/0x270
 kjournald2+0xbd/0x270
 ? finish_wait+0x80/0x80
 ? commit_timeout+0x10/0x10
 kthread+0x113/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ? do_syscall_64+0x74/0x180
 ? SyS_exit_group+0x10/0x10
 ret_from_fork+0x35/0x40
Code: c0 48 89 c5 74 2c 48 89 c6 48 89 df 31 d2 e8 a4 fd ff ff 48 89 df e8 4c e9 fa ff 48 8b 7d 00 be 04 00 00 00 5b 5d e9 0c 7d ff ff <0f> 0b e9 3a ff ff ff 48 89 df eb bb 0f 1f 44 00 00 41 56 41 55

Comment 1 kluksa 2018-04-02 20:16:23 UTC
Created attachment 1416456 [details]
File: dmesg

Comment 2 Alan Jenkins 2018-04-04 08:53:20 UTC
Description of problem:
On resume from suspend.  AFAIK this symptom has only happened once to me.

Mar 27 11:28:30 alan-laptop kernel: PM: suspend exit
Mar 27 11:28:30 alan-laptop kernel: usb 2-8: new high-speed USB device number 46 using xhci_hcd
Mar 27 11:28:30 alan-laptop kernel: EXT4-fs error (device dm-2): ext4_find_entry:1436: inode #5514052: comm thunderbird: reading directory lblock 0
Mar 27 11:28:30 alan-laptop kernel: Buffer I/O error on dev dm-2, logical block 0, lost sync page write

Version-Release number of selected component:
kernel-core-4.15.10-300.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        BOOT_IMAGE=/vmlinuz-4.15.12-301.fc27.x86_64 root=/dev/mapper/alan_dell_2016-fedora ro rd.lvm.lv=alan_dell_2016/fedora rd.lvm.lv=alan_dell_2016/swap rhgb quiet LANG=en_GB.UTF-8
crash_function: __jbd2_journal_refile_buffer
kernel:         4.15.10-300.fc27.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 748 at fs/buffer.c:1108 mark_buffer_dirty+0xd4/0xe0
Modules linked in: vhost_net vhost tap rfcomm fuse mmc_block xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ccm ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc vfat fat arc4 intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp iwlmvm kvm_intel mac80211 kvm irqbypass uvcvideo crct10dif_pclmul videobuf2_vmalloc videobuf2_memops iTCO_wdt videobuf2_v4l2 videobuf2_core
 mei_wdt iTCO_vendor_support videodev ppdev dell_wmi sparse_keymap crc32_pclmul snd_hda_codec_realtek snd_hda_codec_hdmi snd_hda_codec_generic media wmi_bmof dell_smbios_wmi dell_wmi_descriptor snd_hda_intel btusb qcserial usb_wwan ghash_clmulni_intel snd_hda_codec snd_hda_core snd_hwdep btrtl dell_laptop dell_smbios_smm dell_smbios intel_cstate snd_seq btbcm snd_seq_device iwlwifi dcdbas intel_uncore intel_rapl_perf dell_smm_hwmon joydev btintel snd_pcm bluetooth cfg80211 snd_timer ecdh_generic snd dell_rbtn wmi acpi_pad int3403_thermal mei_me soundcore rfkill parport_pc dell_smo8800 parport int3400_thermal acpi_thermal_rel int3402_thermal shpchp processor_thermal_device int340x_thermal_zone mei lpc_ich intel_soc_dts_iosf i2c_i801 i915 i2c_algo_bit drm_kms_helper crc32c_intel e1000e
 drm cdc_mbim serio_raw sdhci_pci sdhci cdc_wdm cdc_ncm mmc_core usbnet ptp pps_core mii video
CPU: 1 PID: 748 Comm: jbd2/dm-2-8 Not tainted 4.15.10-300.fc27.x86_64 #1
Hardware name: Dell Inc. Latitude E5450/0DCPV1, BIOS A13 05/17/2016
RIP: 0010:mark_buffer_dirty+0xd4/0xe0
RSP: 0018:ffffaf0600e5fcc8 EFLAGS: 00010246
RAX: 0000000000a20828 RBX: ffffa07b84e0de38 RCX: ffffa07abd609348
RDX: ffffa07b84e0de38 RSI: ffffa07abd6090f0 RDI: ffffa07b84e0de38
RBP: ffffa07b84e0de38 R08: 0000000000000000 R09: ffffa079e67f96b0
R10: 0000000000000000 R11: 0000000000000228 R12: ffffa07b84e0de38
R13: ffffa07abd6095a0 R14: ffffa07b9a144700 R15: ffffa07b83fb6800
FS:  0000000000000000(0000) GS:ffffa07b9e480000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000557fedb3e050 CR3: 000000021820a003 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 __jbd2_journal_refile_buffer+0xa3/0xc0
 jbd2_journal_commit_transaction+0x1169/0x1820
 ? __update_load_avg_se.isra.30+0x1b6/0x1c0
 ? sched_clock+0x5/0x10
 ? kjournald2+0xbd/0x270
 kjournald2+0xbd/0x270
 ? finish_wait+0x80/0x80
 ? commit_timeout+0x10/0x10
 kthread+0x113/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40
Code: c0 48 89 c5 74 2c 48 89 c6 48 89 df 31 d2 e8 a4 fd ff ff 48 89 df e8 8c e8 fa ff 48 8b 7d 00 be 04 00 00 00 5b 5d e9 0c 7d ff ff <0f> 0b e9 3a ff ff ff 48 89 df eb bb 0f 1f 44 00 00 41 56 41 55

Comment 3 Alan Jenkins 2018-04-04 08:56:08 UTC
I'm treating this as same issue as the more frequent IO error symptoms (SIGBUS faults) which I and others see on resume from suspend since kernel v4.15:

https://bugzilla.redhat.com/show_bug.cgi?id=1553979

Comment 4 Ron Smith 2018-04-20 15:41:06 UTC
Description of problem:
The problem report was waiting when I opened the screen on my laptop. No idea when or what happened.

Version-Release number of selected component:
kernel-core-4.15.15-300.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        BOOT_IMAGE=/vmlinuz-4.15.15-300.fc27.x86_64 root=/dev/mapper/fedora_thor-root ro rd.lvm.lv=fedora_thor/root rd.lvm.lv=fedora_thor/swap rhgb quiet LANG=en_US.UTF-8
crash_function: __jbd2_journal_refile_buffer
kernel:         4.15.15-300.fc27.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 454 at fs/buffer.c:1108 mark_buffer_dirty+0xd4/0xe0
Modules linked in: lp parport fuse ccm nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables sunrpc intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel arc4 kvm rtl8192ce iTCO_wdt iTCO_vendor_support rtl_pci wmi_bmof toshiba_wmi rtl8192c_common rtlwifi irqbypass crct10dif_pclmul crc32_pclmul ghash_clmulni_intel uvcvideo intel_cstate mac80211 intel_uncore snd_hda_codec_hdmi videobuf2_vmalloc
 videobuf2_memops snd_hda_codec_realtek videobuf2_v4l2 snd_hda_codec_generic intel_rapl_perf videobuf2_core snd_hda_intel snd_hda_codec videodev snd_hda_core cfg80211 snd_hwdep snd_seq joydev media snd_seq_device snd_pcm i2c_i801 mei_me snd_timer mei toshiba_acpi sparse_keymap snd industrialio lpc_ich soundcore rfkill shpchp wmi ums_realtek hid_logitech_hidpp i915 hid_logitech_dj i2c_algo_bit drm_kms_helper crc32c_intel drm serio_raw r8169 mii video uas usb_storage
CPU: 2 PID: 454 Comm: jbd2/dm-0-8 Not tainted 4.15.15-300.fc27.x86_64 #1
Hardware name: TOSHIBA Satellite L775/Oneonta Falls, BIOS 2.30 07/18/2012
RIP: 0010:mark_buffer_dirty+0xd4/0xe0
RSP: 0000:ffffbf86010c7cc8 EFLAGS: 00010246
RAX: 0000000000a20828 RBX: ffff9df050a24958 RCX: ffff9def4680ca50
RDX: ffff9df050a24958 RSI: ffff9def501baf00 RDI: ffff9df050a24958
RBP: ffff9df050a24958 R08: 0000000000000000 R09: ffff9df04ca51fd0
R10: 0000000000000000 R11: 0000000000000228 R12: ffff9df050a24958
R13: ffff9defac872d98 R14: ffff9deeb608bb00 R15: ffff9df051756800
FS:  0000000000000000(0000) GS:ffff9df057080000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f918ee05000 CR3: 00000000ba20a004 CR4: 00000000000606e0
Call Trace:
 __jbd2_journal_refile_buffer+0xa3/0xc0
 jbd2_journal_commit_transaction+0x1169/0x1820
 ? sched_clock+0x5/0x10
 ? kjournald2+0xbd/0x270
 kjournald2+0xbd/0x270
 ? finish_wait+0x80/0x80
 ? commit_timeout+0x10/0x10
 kthread+0x113/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ? do_syscall_64+0x74/0x180
 ? SyS_exit_group+0x10/0x10
 ret_from_fork+0x35/0x40
Code: c0 48 89 c5 74 2c 48 89 c6 48 89 df 31 d2 e8 a4 fd ff ff 48 89 df e8 bc e6 fa ff 48 8b 7d 00 be 04 00 00 00 5b 5d e9 0c 7d ff ff <0f> 0b e9 3a ff ff ff 48 89 df eb bb 66 66 66 66 90 41 56 41 55

Comment 5 Alan Jenkins 2018-04-20 17:53:46 UTC
Having found the problem and submitted a fix upstream, I'm now confident this should be marked as a duplicate of:

https://bugzilla.redhat.com/show_bug.cgi?id=1553979

@Ron Smith

Fwiw, anyone who sees an EXT4 like this, my suggestion would be to reboot at the next available opportunity.  Because on my next boot, the system pointed out that the filesystem was marked as inconsistent, and run a full filesystem check.

I don't really know what risks there might be in continuing running with an inconsistent FS, but I'd rather be safe.  It didn't take my system too long to check (depends on HDD size v.s. performance).  Maybe it's best to allow for a 15 wait... or maybe schedule it as if it was an offline system update.

Comment 6 Ron Smith 2018-04-20 19:19:28 UTC
(In reply to Alan Jenkins from comment #5)
> Having found the problem and submitted a fix upstream, I'm now confident
> this should be marked as a duplicate of:
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=1553979
> 
> @Ron Smith
> 
> Fwiw, anyone who sees an EXT4 like this, my suggestion would be to reboot at
> the next available opportunity.  Because on my next boot, the system pointed
> out that the filesystem was marked as inconsistent, and run a full
> filesystem check.
> 
> I don't really know what risks there might be in continuing running with an
> inconsistent FS, but I'd rather be safe.  It didn't take my system too long
> to check (depends on HDD size v.s. performance).  Maybe it's best to allow
> for a 15 wait... or maybe schedule it as if it was an offline system update.

Thanks. I had updates to install so I installed them and rebooted. Everything seems to be working now.

Comment 7 Justin M. Forbes 2018-07-23 15:10:33 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 8 Justin M. Forbes 2018-08-29 15:06:08 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.